Hotfix 30623 & 30615 cause version conflict in RTC

I have recently installed the latest Hot Fix files from Microsoft for NAV 2009 SP1.  The RTC hotfix was 30615 (contained server updates, Classic updates, and RTC updates).  The Classic Client had a newer hotfix file 30623 that I also installed.  After installation I am getting errors opening the RTC.  It will not open at all stating that the "The database on the server cannot be opened by this version of Microsoft Dynamics NAV Classic.  The databse has already been converted by a newer program version.  You must upgrade Microsoft Dynamics NAV Classic to the latest version to open the database"

Classic appears to work fine, and there was never the typical warning about opening the database will upgrade or convert your data when it opened.  RTC just appears to be stuck in a version conflict.

Can anyone help me?

Related
Recommended